Bug 149476 - Telnet Daemon provided by krb5-workstation does not process logins with passwords longer then 8 Characters
Summary: Telnet Daemon provided by krb5-workstation does not process logins with passw...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: krb5 (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168424 174782
TreeView+ depends on / blocked
 
Reported: 2005-02-23 14:45 UTC by Andrew Richards
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHEA-2006-0080
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 15:41:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2006:0080 qe-ready SHIPPED_LIVE krb5 enhancement update 2006-03-14 05:00:00 UTC

Description Andrew Richards 2005-02-23 14:45:21 UTC
Description of problem:

Enabling the telnetd service (provided by krb5-workstation-1.2.7-38) 
results in users not been able to successfully login with a password 
longer then 8 characters.

Version-Release number of selected component (if applicable):

krb5-workstation-1.2.7-38

How reproducible:

easy

Steps to Reproduce:
1. ENable telnetd
2. create user with password longer then 8 characters
3. try to telnet
  
Actual results:

Incorrect login

Expected results:

succesful results

Additional info:

Comment 2 Suzanne Hillman 2005-02-23 16:50:05 UTC
What is the exact output of an unsuccessful login?

Comment 3 David Herselman 2005-03-01 22:19:04 UTC
Uargh! Didn't see your reply until now... ;)

[root@test etc]# passwd mathew
Changing password for user mathew.
New password: testing
passwd: all authentication tokens updated successfully.

[root@test etc]# telnet localhost
Trying 127.0.0.1...
Connected to localhost (127.0.0.1).
Escape character is '^]'.

    test.rhel3.co.za (Linux release 2.4.21-27.0.2.ELsmp #1 SMP Wed 
Jan 19 10:59:54 EST 2005) (5)

login: mathew
Password for mathew: testing
login: Cannot resolve network address for KDC in requested realm 
while getting initial credentials
Last login: Tue Mar  1 15:28:06 from user-idesoq6x64
----------------------------------------------------------------------
Everything is fine...



Making password longer:
[root@test etc]# passwd mathew
Changing password for user mathew.
New password: testingtesting
passwd: all authentication tokens updated successfully.

[root@rascal etc]# telnet localhost
Trying 127.0.0.1...
Connected to localhost (127.0.0.1).
Escape character is '^]'.

    test.rhel3.co.za (Linux release 2.4.21-27.0.2.ELsmp #1 SMP Wed 
Jan 19 10:59:54 EST 2005) (5)

login: mathew
Password for mathew: testingtesting
login: Cannot resolve network address for KDC in requested realm 
while getting initial credentials
Login incorrect
----------------------------------------------------------------------
Doesn't work...


Secure logins however still work 100%:
[root@test etc]# ssh -l mathew localhost
mathew@localhost's password: testingtesting
----------------------------------------------------------------------
Works 100%...


Only things being logged in /var/log/messages are:
Mar  2 00:07:32 test passwd(pam_unix)[5645]: password changed for 
mathew
Mar  2 00:09:54 test passwd(pam_unix)[5765]: password changed for 
mathew


Comment 6 Thillaivel 2005-05-27 22:46:27 UTC
    pitlab02 (Linux release 2.6.9-5.EL #1 Wed Jan 5 19:22:18 EST 2005) (2)

login: partner
Password for partner:
login: Cannot resolve network address for KDC in requested realm while getting i
nitial credentials
Last login: Fri May 27 15:32:47 from pitlab01
[partner@pitlab02 ~]$

Comment 14 Red Hat Bugzilla 2006-03-15 15:41:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2006-0080.html



Note You need to log in before you can comment on or make changes to this bug.